## GtkHBox GtkHBox — A horizontal container box |

## Functions

GtkWidget * | gtk_hbox_new ()

## Types and Values

struct | GtkHBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ├── GtkCombo
                                ├── GtkFileChooserButton
                                ├── GtkInfoBar
                                ╰── GtkStatusbar

## Implemented Interfaces

GtkHBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkHBox is a container that organizes child widgets into a single row.

Use the GtkBox packing interface to determine the arrangement, spacing, width, and alignment of GtkHBox children.

All children are allocated the same height.

## Functions

### gtk_hbox_new ()

    GtkWidget *
    gtk_hbox_new (gboolean homogeneous,
                  gint spacing);

Creates a new GtkHBox.

#### Parameters

homogeneous | `TRUE` if all children are to be given equal space allotments. |
spacing | the number of pixels to place by default between children. |

#### Returns

a new GtkHBox.

## Types and Values

### struct GtkHBox

    struct GtkHBox;

## See Also

GtkVBox